theme.h File Reference
`#include <fx.h>`
`#include <gwen-gui-fox16/fox16_gui.hpp>`

Go to the source code of this file.

## Data Structures

class | ThemeButton
class | ThemeComboBox
class | ThemeHeaderItem
class | ThemeHorizontalFrame
class | ThemeLabel
class | ThemeMenuButton
class | ThemeTabItem
class | ThemeTextField
class | ThemeVerticalFrame

## Macros

#define | THEMEBUTTON ThemeButton
#define | THEMECOMBOBOX ThemeComboBox
#define | THEMEHEADERITEM ThemeHeaderItem
#define | THEMEHORIZONTALFRAME ThemeHorizontalFrame
#define | THEMELABEL ThemeLabel
#define | THEMEMENUBUTTON ThemeMenuButton
#define | THEMETABITEM ThemeTabItem
#define | THEMETEXTFIELD ThemeTextField
#define | THEMEVERTICALFRAME ThemeVerticalFrame

## Functions

FOX16GUI_API void | init_theme (FXApp *app)

## Macro Definition Documentation

## THEMEBUTTON

#define THEMEBUTTON ThemeButton

This header is only needed for the definition of "FOX16GUI_API" which is used in the declaration of all exported classes and methods. If you want to use these themed widgets in your own projects you should remove this include here and all occurrences of "FOX16GUI_API".

Definition at line 23 of file theme.h.

## THEMECOMBOBOX

#define THEMECOMBOBOX ThemeComboBox

Definition at line 25 of file theme.h.

## THEMEHEADERITEM

#define THEMEHEADERITEM ThemeHeaderItem

Definition at line 30 of file theme.h.

## THEMEHORIZONTALFRAME

#define THEMEHORIZONTALFRAME ThemeHorizontalFrame

Definition at line 28 of file theme.h.

## THEMELABEL

#define THEMELABEL ThemeLabel

Definition at line 26 of file theme.h.

## THEMEMENUBUTTON

#define THEMEMENUBUTTON ThemeMenuButton

Definition at line 29 of file theme.h.

## THEMETABITEM

#define THEMETABITEM ThemeTabItem

Definition at line 31 of file theme.h.

## THEMETEXTFIELD

#define THEMETEXTFIELD ThemeTextField

Definition at line 24 of file theme.h.

## THEMEVERTICALFRAME

#define THEMEVERTICALFRAME ThemeVerticalFrame

Definition at line 27 of file theme.h.

## Function Documentation

## init_theme()

FOX16GUI_API void init_theme | ( | FXApp * | app | ) |